## org.apache.axis.ime.event
Class MessageFaultEvent

    java.lang.Object
      |
      +--org.apache.axis.ime.event.MessageCorrelatedEvent
            |
            +--org.apache.axis.ime.event.MessageFaultEvent

All Implemented Interfaces:
  MessageExchangeEvent, java.io.Serializable

public class MessageFaultEvent
extends MessageCorrelatedEvent

The MessageFaultEvent is used to indicate an exception in the processing of a message.

Author:
  Ray Chun (rchun@sonicsoftware.com)
See Also:
  Serialized Form

Field Summary
`protected java.lang.Throwable` `exception`

Fields inherited from class org.apache.axis.ime.event.MessageCorrelatedEvent
`context, correlator`

Constructor Summary
`MessageFaultEvent(MessageExchangeCorrelator correlator, java.lang.Throwable exception)`

Method Summary
`java.lang.Throwable` `getException()`

Methods inherited from class org.apache.axis.ime.event.MessageCorrelatedEvent
`getMessageContext, getMessageExchangeCorrelator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exception

    protected java.lang.Throwable exception

Constructor Detail

### MessageFaultEvent

    public MessageFaultEvent(MessageExchangeCorrelator correlator,
                             java.lang.Throwable exception)

Method Detail

### getException

    public java.lang.Throwable getException()

Copyright © 2003 Apache Web Services Project. All Rights Reserved.